手机版
你好,游客 登录 注册
背景:
阅读新闻

Chrony内存破坏漏洞(CVE-2015-1822)

[日期:2015-04-14] 来源:Linux社区  作者:Linux [字体: ]
Chrony内存破坏漏洞(CVE-2015-1822)


发布日期:2015-04-13
更新日期:2015-04-14

受影响系统:

Chrony Chrony

描述:


CVE(CAN) ID: CVE-2015-1822

Chrony是用于计算机同步时间的工具,实现了NTP协议,并且可以同时作为客户端和服务器端程序,特别适合无网络连接环境中保持计算机时间准确性。

Chrony在cmdmon回复槽中存在未初始化指针,经过身份验证的攻击者可以用其他命令分配或解除分配内存,强制分配新回复槽,使chronyd对无效内存写回复。

<*来源:Miroslav Lichvár
  *>

建议:


厂商补丁:

Chrony
------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://chrony.tuxfamily.org/News.html

http://download.tuxfamily.org/chrony/chrony-1.31.1.tar.gz

本文永久更新链接地址http://www.linuxidc.com/Linux/2015-04/116205.htm

linux
相关资讯       chrony 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款